Yate: MessagePostHook Class Reference

Yate

List of all members
MessagePostHook Class Reference

Post-dispatching message hook that can be added to a list. More...

`#include <yatengine.h>`

Inheritance diagram for MessagePostHook:

## Additional Inherited Members
Public Member Functions inherited from RefObject
| RefObject ()
virtual | ~RefObject ()
virtual void * | getObject (const String &name) const
virtual bool | alive () const
bool | ref ()
bool | deref ()
int | refcount () const
virtual void | destruct ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual const String & | toString () const
virtual const String & | traceId () const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)
Public Member Functions inherited from MessageNotifier
virtual | ~MessageNotifier ()
virtual void | dispatched (const Message &msg, bool handled)=0
Public Member Functions inherited from MessageFilter
| MessageFilter ()
| ~MessageFilter ()
bool | matchesMsg (const Message &msg) const
const MatchingItemBase * | getFilter () const
const MatchingItemBase * | getMsgFilter () const
void | setFilter (MatchingItemBase *filter)
void | setMsgFilter (MatchingItemBase *filter)
void | clearFilter ()
void | clearMsgFilter ()
void | setFilter (NamedString *filter)
void | setFilter (const char *name, const char *value)
Static Public Member Functions inherited from RefObject
static bool | alive (const RefObject *obj)
static bool | efficientIncDec ()
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()
Protected Member Functions inherited from RefObject
virtual void | zeroRefs ()
bool | resurrect ()
virtual void | destroyed ()

## Detailed Description

Post-dispatching message hook that can be added to a list.

An abstract message notifier that can be inserted in a MessageDispatcher to implement hook methods called after any message has been dispatched. No new methods are provided - we only need the multiple inheritance.

The documentation for this class was generated from the following file:

- yatengine.h